Cpp_api cpp_apiConfig.cmake


#1

This happened while building demo app

– Could not find the required component ‘cpp_api’. The following CMake error indicates that you either need to install the package with the same name or change your environment so that it can be found.
CMake Error at /opt/ros/kinetic/share/catkin/cmake/catkinConfig.cmake:83 (find_package):
Could not find a package configuration file provided by “cpp_api” with any
of the following names:

cpp_apiConfig.cmake
cpp_api-config.cmake

Add the installation prefix of “cpp_api” to CMAKE_PREFIX_PATH or set
“cpp_api_DIR” to a directory containing one of the above files. If
“cpp_api” provides a separate development package or SDK, be sure it has
been installed.
Call Stack (most recent call first):
CMakeLists.txt:8 (find_package)


#2

fixed
i forgot to source /etc/bash.bashrc


#3